Subject: Re: bug#15748: 24.3.50; `customize-group': Provide a way to hide/show all values

From: Howard Melman <[email-masked]>
Date: Wed, 11 May 2022 11:02:27 -0400

Drew Adams <[email-masked]> writes:

>> Howard Melman <[email-masked]> writes:
>> 
>> > When exploring new packages I often use customize-group to see what
>> > settings I can change but it defaults to not showing the values and also
>> > showing only the first line of each docstring requiring me to click on
>> > "More" for every option.  Having a command to show/hide all values
>> > would be very convenient in this case.
>> 
>> I've now added this to Emacs 29 (as custom-toggle-hide-all-
>> variables/`H/).
>> 
>
> You didn't reply to the OP in your closing message.
> Instead, you replied to an extraneous enhancement
> request inserted in the thread.  That should have
> been a separate bug #.
>
> This report isn't an enhancement request to add Org
> or outline keys.  This is about showing/hiding all.
> The bug was introduced in Emacs 24.

The original bug asked for buttons in the buffer to show and
hide all.  I agree that if custom-toggle-hide-all-variables
works in all these various *customize* buffers that a button
added to the section "Operate on all settings in this buffer:"
that called this command would be a good thing.

-- 

Howard